import { Context, Serializer } from '@metaplex-foundation/umi';
import { RuleV2 } from './rule';
export type AllRuleV2 = {
    type: 'All';
    rules: RuleV2[];
};
export declare const allV2: (rules: RuleV2[]) => AllRuleV2;
export declare const getAllRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<AllRuleV2>;
