import { Context, Serializer } from '@metaplex-foundation/umi';
import { RuleV2 } from './rule';
export type AnyRuleV2 = {
    type: 'Any';
    rules: RuleV2[];
};
export declare const anyV2: (rules: RuleV2[]) => AnyRuleV2;
export declare const getAnyRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<AnyRuleV2>;
