"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNamespaceRuleV2Serializer = exports.namespaceV2 = void 0;
const ruleHeader_1 = require("./ruleHeader");
const ruleType_1 = require("./ruleType");
const namespaceV2 = () => ({ type: 'Namespace' });
exports.namespaceV2 = namespaceV2;
const getNamespaceRuleV2Serializer = (context) => {
    const s = context.serializer;
    return (0, ruleHeader_1.wrapSerializerInRuleHeaderV2)(context, ruleType_1.RuleTypeV2.Namespace, s.struct([]));
};
exports.getNamespaceRuleV2Serializer = getNamespaceRuleV2Serializer;
//# sourceMappingURL=namespace.js.map