import { Context, PublicKeyBase58, PublicKeyInput, Serializer } from '@metaplex-foundation/umi';
export type ProgramOwnedRuleV2 = {
    type: 'ProgramOwned';
    field: string;
    program: PublicKeyBase58;
};
export declare const programOwnedV2: (field: string, program: PublicKeyInput) => ProgramOwnedRuleV2;
export declare const getProgramOwnedRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<ProgramOwnedRuleV2>;
