import { Context, PublicKeyBase58, PublicKeyInput, Serializer } from '@metaplex-foundation/umi';
export type ProgramOwnedListRuleV2 = {
    type: 'ProgramOwnedList';
    field: string;
    programs: PublicKeyBase58[];
};
export declare const programOwnedListV2: (field: string, programs: PublicKeyInput[]) => ProgramOwnedListRuleV2;
export declare const getProgramOwnedListRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<ProgramOwnedListRuleV2>;
