import { Context, Serializer } from '@metaplex-foundation/umi';
export type ProgramOwnedTreeRuleV2 = {
    type: 'ProgramOwnedTree';
    pubkeyField: string;
    proofField: string;
    root: number[];
};
export declare const programOwnedTreeV2: (pubkeyField: string, proofField: string, root: Uint8Array | number[]) => ProgramOwnedTreeRuleV2;
export declare const getProgramOwnedTreeRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<ProgramOwnedTreeRuleV2>;
