import { Context, PublicKeyBase58, PublicKeyInput, Serializer } from '@metaplex-foundation/umi';
export type PubkeyMatchRuleV2 = {
    type: 'PubkeyMatch';
    field: string;
    publicKey: PublicKeyBase58;
};
export declare const pubkeyMatchV2: (field: string, publicKey: PublicKeyInput) => PubkeyMatchRuleV2;
export declare const getPubkeyMatchRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<PubkeyMatchRuleV2>;
