import { Context, PublicKeyBase58, PublicKeyInput, Serializer } from '@metaplex-foundation/umi';
export type AdditionalSignerRuleV2 = {
    type: 'AdditionalSigner';
    publicKey: PublicKeyBase58;
};
export declare const additionalSignerV2: (publicKey: PublicKeyInput) => AdditionalSignerRuleV2;
export declare const getAdditionalSignerRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<AdditionalSignerRuleV2>;
