import { Context, Serializer } from '@metaplex-foundation/umi';
import { AmountOperator, AmountOperatorString } from '../shared';
export type AmountRuleV2 = {
    type: 'Amount';
    field: string;
    operator: AmountOperatorString;
    amount: number;
};
export declare const amountV2: (field: string, operator: AmountOperator | AmountOperatorString, amount: number) => AmountRuleV2;
export declare const getAmountRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<AmountRuleV2>;
