import { Context, Serializer } from '@metaplex-foundation/umi';
import { RuleV2 } from './rule';
export type NotRuleV2 = {
    type: 'Not';
    rule: RuleV2;
};
export declare const notV2: (rule: RuleV2) => NotRuleV2;
export declare const getNotRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<NotRuleV2>;
