import { Context, PublicKeyBase58, PublicKeyInput, Serializer } from '@metaplex-foundation/umi';
export type PdaMatchRuleV2 = {
    type: 'PdaMatch';
    pdaField: string;
    program: PublicKeyBase58;
    seedsField: string;
};
export declare const pdaMatchV2: (pdaField: string, program: PublicKeyInput, seedsField: string) => PdaMatchRuleV2;
export declare const getPdaMatchRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<PdaMatchRuleV2>;
