import { Context, Serializer } from '@metaplex-foundation/umi';
export type PubkeyTreeMatchRuleV2 = {
    type: 'PubkeyTreeMatch';
    pubkeyField: string;
    proofField: string;
    root: number[];
};
export declare const pubkeyTreeMatchV2: (pubkeyField: string, proofField: string, root: Uint8Array | number[]) => PubkeyTreeMatchRuleV2;
export declare const getPubkeyTreeMatchRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<PubkeyTreeMatchRuleV2>;
